From 357ae9f450408bfafa792765b00b6a0739628b04 Mon Sep 17 00:00:00 2001
From: Peter Geoghegan <pg@bowt.ie>
Date: Mon, 28 Jun 2021 12:43:33 -0700
Subject: [PATCH] Improve .git-blame-ignore-revs release workflow.

---
 src/tools/RELEASE_CHANGES | 8 ++------
 src/tools/pgindent/README | 3 ++-
 2 files changed, 4 insertions(+), 7 deletions(-)

diff --git a/src/tools/RELEASE_CHANGES b/src/tools/RELEASE_CHANGES
index 5cf2a4dda3..fd9dae7e55 100644
--- a/src/tools/RELEASE_CHANGES
+++ b/src/tools/RELEASE_CHANGES
@@ -70,11 +70,7 @@ but there may be reasons to do them at other times as well.
 
 * Run mechanical code beautification tools:
   pgindent, pgperltidy, and "make reformat-dat-files"
-  (see src/tools/pgindent/README)
-
-* Update .git-blame-ignore-revs. It should contain all of the newly
-  created code beautification commits.  Make sure that you use
-  full-length commit hashes for this.
+  (complete steps from src/tools/pgindent/README)
 
 * Renumber any manually-assigned OIDs between 8000 and 9999
   to lower numbers, using renumber_oids.pl (see notes in bki.sgml)
@@ -90,7 +86,7 @@ Starting a New Development Cycle
 ================================
 
 * Typically, we do pgindent and perltidy runs just before branching,
-  as well as before beta
+  as well as before beta (complete steps from src/tools/pgindent/README)
 
 * Create a branch in git for maintenance of the previous release
 	o on master branch, do:
diff --git a/src/tools/pgindent/README b/src/tools/pgindent/README
index 74412d29f8..103970c104 100644
--- a/src/tools/pgindent/README
+++ b/src/tools/pgindent/README
@@ -82,7 +82,8 @@ you used.
 
 4) Add the newly created commits to the .git-blame-ignore-revs file so
    that "git blame" ignores the commits (for anybody that has opted-in
-   to using the ignore file).
+   to using the ignore file).  Follow the instructions that appear at
+   the top of the .git-blame-ignore-revs file.
 
 Another "git commit" will be required for your ignore file changes.
 
-- 
2.27.0

